> For a complete page index, fetch https://docs.transak.com/llms.txt # Get Orders GET https://api-stg.transak.com/partners/api/v2/orders This is the partner API for fetching orders. Filtering: `Get Orders` supports filters such as `filter[status]`, `filter[sortOrder]`, `filter[walletAddress]`, and `filter[productsAvailed]`, plus exact match on `filter[partnerOrderId]`. `filter[productsAvailed]` must be passed as a JSON-encoded array string such as `["BUY"]` or `["SELL"]`. Pagination: Respect `limit` and `skip` to avoid large responses. Reference: https://docs.transak.com/api/public/get-orders ## Request ### Query parameters - `limit` (integer, optional, default: 100) — limits the number of records returned. - `skip` (integer, optional, default: 0) — skip omits the specified number of returned records - `startDate` (string, optional) — startDate in YYYY-MM-DD format. Default to 90 days prior to current date - `endDate` (string, optional) — endDate in YYYY-MM-DD format. Defaults to current date - `filter[productsAvailed]` (string, optional, default: ["BUY"]) — JSON-encoded array string for products availed, for example `["BUY"]` or `["SELL"]` - `filter[status]` (string, optional, default: COMPLETED) — order status filter - `filter[sortOrder]` (string, optional) — sort order by which you want your orders either `desc or asc` - `filter[walletAddress]` (string, optional) — filter orders based on a wallet address. Note: Returns BUY orders only - `filter[partnerOrderId]` (string, optional) — filter orders based on a partnerOrderId parameter ### Headers - `x-api-key` (string, required) — Your Partner API key. You can find this in the [Partner Dashboard](https://docs.transak.com/guides/how-to-create-partner-dashboard-account#open-the-developers-section). - `access-token` (string, required) — Your Partner Access Token. Please refer [here](/guides/how-to-create-partner-access-token) for a tutorial on generating your access token. ## Response ### 200 Orders fetched successfully - `meta` (OrdersGetResponsesContentApplicationJsonSchemaMeta, optional) - `data` (list of OrdersGetResponsesContentApplicationJsonSchemaDataItems, optional) ## Errors ### 400 Bad Request Error 400 - `error` (OrdersGetResponsesContentApplicationJsonSchemaError, required) ### 401 Unauthorized Error 401 - `error` (OrdersGetResponsesContentApplicationJsonSchemaError, required) ## Types ### OrdersGetResponsesContentApplicationJsonSchemaMeta - `filter` (OrdersGetResponsesContentApplicationJsonSchemaMetaFilter, optional) - `sortOrder` (string, optional) - `startDate` (string, optional) - `endDate` (string, optional) - `limit` (integer, optional) - `skip` (integer, optional) - `totalCount` (integer, optional) ### OrdersGetResponsesContentApplicationJsonSchemaDataItems - `_id` (string, optional) - `walletAddress` (string, optional) - `createdAt` (string, optional) - `status` (string, optional) - `fiatCurrency` (string, optional) - `cryptoCurrency` (string, optional) - `isBuyOrSell` (string, optional) - `fiatAmount` (double, optional) - `amountPaid` (double, optional) - `paymentOptionId` (string, optional) - `bankReference` (string, optional) - `network` (string, optional) - `quoteId` (string, optional) ### OrdersGetResponsesContentApplicationJsonSchemaError - `statusCode` (integer, required) - `message` (string, required) ### OrdersGetResponsesContentApplicationJsonSchemaMetaFilter ## Examples ### Buy Order **Response** ```json { "meta": { "filter": { "productsAvailed": [ "BUY" ], "status": [ "COMPLETED" ] }, "sortOrder": "desc", "startDate": "2024-04-01", "endDate": "2024-05-01", "limit": 100, "skip": 0, "totalCount": 12 }, "data": [ { "_id": "7d8e0655-728e-458c-9c15-b3e9f2aa66ed", "walletAddress": "0x12d8885...e0F0BF", "createdAt": "2024-04-23T14:41:14.063Z", "status": "COMPLETED", "fiatCurrency": "GBP", "cryptoCurrency": "ETH", "isBuyOrSell": "BUY", "fiatAmount": 50, "amountPaid": 50, "paymentOptionId": "gbp_bank_transfer", "bankReference": "VD180620260000056", "network": "ethereum", "quoteId": "4015367c-3636-4ea1-a4a9-f583608ad3b5", "addressAdditionalData": false, "appVersionName": "staging-api", "completedAt": "2024-04-23T14:41:50.278Z", "conversionPrice": 0.0003803236484877352, "countryCode": "FR", "cryptoAmount": 0.01596979, "dispute": false, "exchangeId": "binance", "fiatAmountInUsd": 62.17, "ipAddress": "35.177.158.9", "isFirstOrder": true, "liquidityProvider": "MODULR", "orderProcessingType": "NORMAL", "partnerFeeDecimal": 0.02, "partnerFeeInUsd": "1.24", "paymentTnxId": "A2100C5B5K_T2100AEP4M", "paymentdateTime": "2024-04-23T14:41:18.000Z", "referenceCode": 393693, "totalFeeInFiat": 8.01, "totalfeeDecimal": 0.1602, "transactionHash": "DUMMY_TX_ID", "transactionLink": "https://sepolia.etherscan.io/tx/DUMMY_TX_ID", "updatedAt": "2024-04-23T14:41:21.638Z", "userId": "aebd10cb-0f51-4152-b98d-708602cf26", "walletLink": "https://sepolia.etherscan.io/address/0x12d888.......5e0F0BF" }, { "_id": "94a81424-387a-4760-b37d-812d671a3cee", "walletAddress": "0xad50...e22916f9c", "createdAt": "2024-04-23T14:33:17.899Z", "status": "COMPLETED", "fiatCurrency": "GBP", "cryptoCurrency": "ETH", "isBuyOrSell": "BUY", "fiatAmount": 50, "amountPaid": 50, "paymentOptionId": "gbp_bank_transfer", "bankReference": "VD180620260000057", "network": "ethereum", "quoteId": "654e9c79-84d2-497a-8fec-85f2634365e0", "addressAdditionalData": false, "appVersionName": "staging-api", "completedAt": "2024-04-23T14:33:48.297Z", "conversionPrice": 0.0003811828571428571, "countryCode": "FR", "cryptoAmount": 0.01600968, "dispute": false, "exchangeId": "binance", "fiatAmountInUsd": 62.17, "ipAddress": "35.177.158.9", "isFirstOrder": false, "liquidityProvider": "MODULR", "orderProcessingType": "NORMAL", "partnerFeeDecimal": 0.02, "partnerFeeInUsd": "1.24", "paymentTnxId": "A2100C59XH_T2100AEP1W", "paymentdateTime": "2024-04-23T14:33:22.000Z", "referenceCode": 720473, "totalFeeInFiat": 8, "totalfeeDecimal": 0.16, "transactionHash": "DUMMY_TX_ID", "transactionLink": "https://sepolia.etherscan.io/tx/DUMMY_TX_ID", "updatedAt": "2024-04-23T14:33:26.715Z", "userId": "ada1b65c-3233-4f01-9786-9097d93b3039", "walletLink": "https://sepolia.etherscan.io/address/0xad50...5E3FB12" }, { "_id": "c49e3630-56ae-40f1-a9ca-12d6cc65b487", "walletAddress": "0xad50...e22916f45", "createdAt": "2024-04-23T13:42:55.884Z", "status": "COMPLETED", "fiatCurrency": "GBP", "cryptoCurrency": "ETH", "isBuyOrSell": "BUY", "fiatAmount": 50, "amountPaid": 50, "paymentOptionId": "gbp_bank_transfer", "bankReference": "VD180620260000058", "network": "ethereum", "quoteId": "9250de68-a51b-4177-afa2-6acbd1e9f937", "addressAdditionalData": false, "appVersionName": "staging-api", "completedAt": "2024-04-23T13:43:14.954Z", "conversionPrice": 0.00038612903992395436, "countryCode": "FR", "cryptoAmount": 0.01624831, "dispute": false, "exchangeId": "binance", "fiatAmountInUsd": 61.94, "ipAddress": "35.177.158.9", "isFirstOrder": true, "liquidityProvider": "MODULR", "orderProcessingType": "NORMAL", "partnerFeeDecimal": 0.02, "partnerFeeInUsd": "1.24", "paymentTnxId": "A2100C59XH_T2100AENNA", "paymentdateTime": "2024-04-23T13:43:00.000Z", "referenceCode": 720473, "totalFeeInFiat": 7.92, "totalfeeDecimal": 0.15839999999999999, "transactionHash": "DUMMY_TX_ID", "transactionLink": "https://sepolia.etherscan.io/tx/DUMMY_TX_ID", "updatedAt": "2024-04-23T13:43:08.429Z", "userId": "ada1b65c-3233-4f01-9786-9097d93b3039", "walletLink": "https://sepolia.etherscan.io/address/0xad50e...45E3FB12" }, { "_id": "78ca7b6b-6cd9-4eac-a39f-4a49f8d8b99b", "walletAddress": "0xds...3FB12", "createdAt": "2024-04-23T12:54:12.571Z", "status": "COMPLETED", "fiatCurrency": "GBP", "cryptoCurrency": "ETH", "isBuyOrSell": "BUY", "fiatAmount": 50, "amountPaid": 50, "paymentOptionId": "credit_debit_card", "network": "ethereum", "quoteId": "4249cdaf-2cb9-4f9e-bc3e-83cf40a9897a", "addressAdditionalData": false, "appVersionName": "staging-api", "completedAt": "2024-04-23T12:55:43.238Z", "conversionPrice": 0.0003855444857496902, "countryCode": "IN", "cryptoAmount": 0.01555672, "dispute": false, "exchangeId": "binance", "fiatAmountInUsd": 62.02, "ipAddress": "35.177.158.9", "isFirstOrder": false, "liquidityProvider": "CHECKOUT", "orderProcessingType": "NORMAL", "partnerFeeDecimal": 0.02, "partnerFeeInUsd": "1.24", "paymentTnxId": "6627af75b6fc7f773eca785d", "paymentdateTime": "2024-04-23T12:55:18.132088Z", "referenceCode": 204115, "totalFeeInFiat": 9.65, "totalfeeDecimal": 0.193, "transactionHash": "DUMMY_TX_ID", "transactionLink": "https://sepolia.etherscan.io/tx/DUMMY_TX_ID", "updatedAt": "2024-04-23T12:55:29.473Z", "userId": "243a8ce2-9cc6-41a9-aaeb-b0deeb0b19a3", "walletLink": "https://sepolia.etherscan.io/address/0xad...45E3FB12" }, { "_id": "daad83b3-d2f7-44fa-aefa-7e39b230ad32", "walletAddress": "0x9200...806FAc8b9", "createdAt": "2024-04-23T12:47:08.507Z", "status": "COMPLETED", "fiatCurrency": "GBP", "cryptoCurrency": "ETH", "isBuyOrSell": "BUY", "fiatAmount": 50, "amountPaid": 50, "paymentOptionId": "gbp_bank_transfer", "bankReference": "VD180620260000059", "network": "ethereum", "quoteId": "d1c54f13-e4a0-4b0e-a03e-1aacc7d4d675", "addressAdditionalData": false, "appVersionName": "staging-api", "completedAt": "2024-04-23T12:47:41.889Z", "conversionPrice": 0.0003339083839611179, "countryCode": "IN", "cryptoAmount": 0.01374033, "dispute": false, "exchangeId": "binance", "fiatAmountInUsd": 53.38, "ipAddress": "35.177.158.9", "isFirstOrder": false, "liquidityProvider": "MODULR", "orderProcessingType": "NORMAL", "partnerFeeDecimal": 0.02, "partnerFeeInUsd": "1.07", "paymentTnxId": "A2100C59RN_T2100AEMJS", "paymentdateTime": "2024-04-23T12:47:12.000Z", "referenceCode": 204115, "totalFeeInFiat": 8.85, "totalfeeDecimal": 0.177, "transactionHash": "DUMMY_TX_ID", "transactionLink": "https://sepolia.etherscan.io/tx/DUMMY_TX_ID", "updatedAt": "2024-04-23T12:47:13.968Z", "userId": "243a8ce2-9cc6-41a9-aaeb-b0deeb0b19a3", "walletLink": "https://sepolia.etherscan.io/address/0x9200...269C5029D" }, { "_id": "b4b0e9e6-756f-4962-8919-f76e35d86dfc", "walletAddress": "0x9200...806FAc8b9", "createdAt": "2024-04-23T12:45:40.590Z", "status": "COMPLETED", "fiatCurrency": "GBP", "cryptoCurrency": "ETH", "isBuyOrSell": "BUY", "fiatAmount": 50, "amountPaid": 50, "paymentOptionId": "gbp_bank_transfer", "bankReference": "VD180620260000060", "network": "ethereum", "quoteId": "1c7a5fa4-abeb-4f66-a60b-f3d85f0bf19f", "addressAdditionalData": false, "appVersionName": "staging-api", "completedAt": "2024-04-23T12:46:10.492Z", "conversionPrice": 0.0003876173396674584, "countryCode": "IN", "cryptoAmount": 0.01631869, "dispute": false, "exchangeId": "binance", "fiatAmountInUsd": 62.02, "ipAddress": "35.177.158.9", "isFirstOrder": false, "liquidityProvider": "MODULR", "orderProcessingType": "NORMAL", "partnerFeeDecimal": 0.02, "partnerFeeInUsd": "1.24", "paymentTnxId": "A2100BT8BW_T2100AEMH3", "paymentdateTime": "2024-04-23T12:45:45.000Z", "referenceCode": 204115, "totalFeeInFiat": 7.9, "totalfeeDecimal": 0.158, "transactionHash": "DUMMY_TX_ID", "transactionLink": "https://sepolia.etherscan.io/tx/DUMMY_TX_ID", "updatedAt": "2024-04-23T12:45:51.501Z", "userId": "243a8ce2-9cc6-41a9-aaeb-b0deeb0b19a3", "walletLink": "https://sepolia.etherscan.io/address/0x9200...91269C5029D" }, { "_id": "64c629f9-23b5-41ac-a5a8-387adbe6c3b3", "walletAddress": "0x2b3e...2Bf12e8f6", "createdAt": "2024-04-23T11:48:43.912Z", "status": "COMPLETED", "fiatCurrency": "GBP", "cryptoCurrency": "ETH", "isBuyOrSell": "BUY", "fiatAmount": 50, "amountPaid": 50, "paymentOptionId": "gbp_bank_transfer", "bankReference": "VD180620260000061", "network": "ethereum", "quoteId": "14e5c7a0-506a-4186-af00-58aa3a0c276c", "addressAdditionalData": false, "appVersionName": "staging-api", "completedAt": "2024-04-23T11:49:08.424Z", "conversionPrice": 0.00038747695961995244, "countryCode": "FR", "cryptoAmount": 0.01631278, "dispute": false, "exchangeId": "binance", "fiatAmountInUsd": 61.75, "ipAddress": "35.177.158.9", "isFirstOrder": true, "liquidityProvider": "MODULR", "orderProcessingType": "NORMAL", "partnerFeeDecimal": 0.02, "partnerFeeInUsd": "1.24", "paymentTnxId": "A2100C59KF_T2100AEM1D", "paymentdateTime": "2024-04-23T11:48:48.000Z", "referenceCode": 225911, "totalFeeInFiat": 7.9, "totalfeeDecimal": 0.158, "transactionHash": "DUMMY_TX_ID", "transactionLink": "https://sepolia.etherscan.io/tx/DUMMY_TX_ID", "updatedAt": "2024-04-23T11:48:55.412Z", "userId": "2aade80a-5a3e-45a1-bd31-dad575edd1a6", "walletLink": "https://sepolia.etherscan.io/address/0x2b3e2...1c49A" }, { "_id": "9d77e3c8-3e95-455c-b39c-68238357b194", "walletAddress": "0x12d8...885e0F0BFc", "createdAt": "2024-04-22T14:44:32.881Z", "status": "COMPLETED", "fiatCurrency": "GBP", "cryptoCurrency": "ETH", "isBuyOrSell": "BUY", "fiatAmount": 50, "amountPaid": 50, "paymentOptionId": "gbp_bank_transfer", "bankReference": "VD180620260000062", "network": "ethereum", "quoteId": "31ffcae4-7c0b-4b3d-b872-51ae8d1881c0", "addressAdditionalData": false, "appVersionName": "staging-api", "completedAt": "2024-04-22T14:44:55.539Z", "conversionPrice": 0.00038269633507853406, "countryCode": "FR", "cryptoAmount": 0.0160809, "dispute": false, "exchangeId": "binance", "fiatAmountInUsd": 61.57, "ipAddress": "35.177.158.9", "isFirstOrder": true, "liquidityProvider": "MODULR", "orderProcessingType": "NORMAL", "partnerFeeDecimal": 0.02, "partnerFeeInUsd": "1.23", "paymentTnxId": "A2100C56ML_T2100AEBCK", "paymentdateTime": "2024-04-22T14:44:37.000Z", "referenceCode": 408601, "totalFeeInFiat": 7.98, "totalfeeDecimal": 0.15960000000000002, "transactionHash": "DUMMY_TX_ID", "transactionLink": "https://sepolia.etherscan.io/tx/DUMMY_TX_ID", "updatedAt": "2024-04-22T14:44:42.950Z", "userId": "5757cb49-ac08-4b1d-bd95-bd664f39147d", "walletLink": "https://sepolia.etherscan.io/address/0x12d8885...B86EE9ae" }, { "_id": "d7e7fd61-7fc7-4068-a153-ee8a1dfe4fdf", "walletAddress": "0xD902...d7eBF7bc", "createdAt": "2024-04-22T10:16:37.108Z", "status": "COMPLETED", "fiatCurrency": "GBP", "cryptoCurrency": "ETH", "isBuyOrSell": "BUY", "fiatAmount": 50, "amountPaid": 50, "paymentOptionId": "gbp_bank_transfer", "bankReference": "VD180620260000063", "network": "ethereum", "quoteId": "dee3b1b4-edfb-42ce-8cc9-bf9d3f178fd1", "addressAdditionalData": false, "appVersionName": "staging-api", "completedAt": "2024-04-22T10:17:18.799Z", "conversionPrice": 0.0003813564285714285, "countryCode": "IN", "cryptoAmount": 0.01601697, "dispute": false, "exchangeId": "binance", "fiatAmountInUsd": 61.71, "ipAddress": "35.177.158.9", "isFirstOrder": false, "liquidityProvider": "MODULR", "orderProcessingType": "NORMAL", "partnerFeeDecimal": 0.02, "partnerFeeInUsd": "1.23", "paymentTnxId": "A2100BZ9VR_T2100AE8G6", "paymentdateTime": "2024-04-22T10:16:41.000Z", "referenceCode": 378858, "totalFeeInFiat": 8, "totalfeeDecimal": 0.16, "transactionHash": "DUMMY_TX_ID", "transactionLink": "https://sepolia.etherscan.io/tx/DUMMY_TX_ID", "updatedAt": "2024-04-22T10:16:51.814Z", "userId": "00045b17-ba25-4bb7-8663-b51f40a32b20", "walletLink": "https://sepolia.etherscan.io/address/0xD902d...30EBeBEFeE" }, { "_id": "c9bd48c8-c728-4ee5-a567-df0de2b9fc42", "walletAddress": "0x7f9...19D266f242", "createdAt": "2024-04-22T07:49:36.718Z", "status": "COMPLETED", "fiatCurrency": "GBP", "cryptoCurrency": "VET", "isBuyOrSell": "BUY", "fiatAmount": 300, "amountPaid": 300, "paymentOptionId": "gbp_bank_transfer", "bankReference": "VD180620260000064", "network": "vechain", "quoteId": "32d0df8a-eb5c-475b-b78e-4dd8d39a5d17", "addressAdditionalData": false, "appVersionName": "staging-api", "completedAt": "2024-04-22T07:50:13.803Z", "conversionPrice": 29.249132093630774, "countryCode": "IN", "cryptoAmount": 8509.45, "dispute": false, "exchangeId": "binance", "fiatAmountInUsd": 371.42, "ipAddress": "35.177.158.9", "isFirstOrder": false, "liquidityProvider": "MODULR", "orderProcessingType": "NORMAL", "partnerFeeDecimal": 0.02, "partnerFeeInUsd": "7.43", "paymentTnxId": "A2100BT8BW_T2100AE6JW", "paymentdateTime": "2024-04-22T07:49:41.000Z", "referenceCode": 204115, "totalFeeInFiat": 9.07, "totalfeeDecimal": 0.030233333333333334, "transactionHash": "DUMMY_TX_ID", "transactionLink": "https://explore-testnet.vechain.org/transactions/DUMMY_TX_ID", "updatedAt": "2024-04-22T07:49:52.637Z", "userId": "243a8ce2-9cc6-41a9-aaeb-b0deeb0b19a3", "walletLink": "https://explore-testnet.vechain.org/accounts/0x7f919...0075c4d" }, { "_id": "4246b2f2-20c3-41e1-a561-abe1d4d141a4", "walletAddress": "0x27...8ad753", "createdAt": "2024-04-10T10:28:39.488Z", "status": "COMPLETED", "fiatCurrency": "GBP", "cryptoCurrency": "ETH", "isBuyOrSell": "BUY", "fiatAmount": 50, "amountPaid": 50, "paymentOptionId": "gbp_bank_transfer", "bankReference": "VD180620260000065", "network": "ethereum", "quoteId": "22fe073a-13ba-4d22-b69e-5fe4a3e1ab34", "addressAdditionalData": false, "appVersionName": "staging-api", "completedAt": "2024-04-10T10:29:10.562Z", "conversionPrice": 0.0003604613856468836, "countryCode": "IN", "cryptoAmount": 0.01451578, "dispute": false, "exchangeId": "binance", "fiatAmountInUsd": 63.46, "ipAddress": "35.177.158.9", "isFirstOrder": false, "liquidityProvider": "MODULR", "orderProcessingType": "NORMAL", "partnerFeeDecimal": 0.02, "partnerFeeInUsd": "1.27", "paymentTnxId": "A2100BZ9VR_T2100AAR3Q", "paymentdateTime": "2024-04-10T10:28:44.000Z", "referenceCode": 378858, "totalFeeInFiat": 9.73, "totalfeeDecimal": 0.1946, "transactionHash": "DUMMY_TX_ID", "transactionLink": "https://sepolia.etherscan.io/tx/DUMMY_TX_ID", "updatedAt": "2024-04-10T10:28:53.936Z", "userId": "00045b17-ba25-4bb7-8663-b51f40a32b20", "walletLink": "https://sepolia.etherscan.io/address/0x27...72D508" }, { "_id": "fab7a792-5733-4c5b-a6a5-08e35a48b864", "walletAddress": "0x278...ad7537a557", "createdAt": "2024-04-03T08:43:21.374Z", "status": "COMPLETED", "fiatCurrency": "GBP", "cryptoCurrency": "ETH", "isBuyOrSell": "BUY", "fiatAmount": 75, "amountPaid": 75, "paymentOptionId": "gbp_bank_transfer", "bankReference": "VD180620260000066", "network": "ethereum", "quoteId": "26d52265-5310-4c12-ab2b-9d943fec4948", "addressAdditionalData": false, "appVersionName": "staging-api", "completedAt": "2024-04-03T08:43:42.985Z", "conversionPrice": 0.0003731234272973403, "countryCode": "IN", "cryptoAmount": 0.02342842, "dispute": false, "exchangeId": "binance", "fiatAmountInUsd": 94.28, "ipAddress": "35.177.158.9", "isFirstOrder": false, "liquidityProvider": "MODULR", "orderProcessingType": "NORMAL", "partnerFeeDecimal": 0.05, "partnerFeeInUsd": "4.71", "paymentTnxId": "A2100BZ9VR_T2100A8ZD9", "paymentdateTime": "2024-04-03T08:43:28.000Z", "referenceCode": 378858, "totalFeeInFiat": 12.21, "totalfeeDecimal": 0.1628, "transactionHash": "DUMMY_TX_ID", "transactionLink": "https://sepolia.etherscan.io/tx/DUMMY_TX_ID", "updatedAt": "2024-04-03T08:43:33.214Z", "userId": "00045b17-ba25-4bb7-8663-b51f40a32b20", "walletLink": "https://sepolia.etherscan.io/address/0x27...D508" } ] } ``` **SDK Code** ```python Buy Order import requests url = "https://api-stg.transak.com/partners/api/v2/orders" headers = { "access-token": "", "x-api-key": "" } response = requests.get(url, headers=headers) print(response.json()) ``` ```javascript Buy Order const url = 'https://api-stg.transak.com/partners/api/v2/orders'; const options = {method: 'GET', headers: {'access-token': '', 'x-api-key': ''}}; try { const response = await fetch(url, options); const data = await response.json(); console.log(data); } catch (error) { console.error(error); } ``` ```go Buy Order package main import ( "fmt" "net/http" "io" ) func main() { url := "https://api-stg.transak.com/partners/api/v2/orders" req, _ := http.NewRequest("GET", url, nil) req.Header.Add("access-token", "") req.Header.Add("x-api-key", "") res, _ := http.DefaultClient.Do(req) defer res.Body.Close() body, _ := io.ReadAll(res.Body) fmt.Println(res) fmt.Println(string(body)) } ``` ```ruby Buy Order require 'uri' require 'net/http' url = URI("https://api-stg.transak.com/partners/api/v2/orders") http = Net::HTTP.new(url.host, url.port) http.use_ssl = true request = Net::HTTP::Get.new(url) request["access-token"] = '' request["x-api-key"] = '' response = http.request(request) puts response.read_body ``` ```java Buy Order import com.mashape.unirest.http.HttpResponse; import com.mashape.unirest.http.Unirest; HttpResponse response = Unirest.get("https://api-stg.transak.com/partners/api/v2/orders") .header("access-token", "") .header("x-api-key", "") .asString(); ``` ```php Buy Order request('GET', 'https://api-stg.transak.com/partners/api/v2/orders', [ 'headers' => [ 'access-token' => '', 'x-api-key' => '', ], ]); echo $response->getBody(); ``` ```csharp Buy Order using RestSharp; var client = new RestClient("https://api-stg.transak.com/partners/api/v2/orders"); var request = new RestRequest(Method.GET); request.AddHeader("access-token", ""); request.AddHeader("x-api-key", ""); IRestResponse response = client.Execute(request); ``` ```swift Buy Order import Foundation let headers = [ "access-token": "", "x-api-key": "" ] let request = NSMutableURLRequest(url: NSURL(string: "https://api-stg.transak.com/partners/api/v2/orders")! as URL, cachePolicy: .useProtocolCachePolicy, timeoutInterval: 10.0) request.httpMethod = "GET" request.allHTTPHeaderFields = headers let session = URLSession.shared let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in if (error != nil) { print(error as Any) } else { let httpResponse = response as? HTTPURLResponse print(httpResponse) } }) dataTask.resume() ``` ### Sell Order **Response** ```json { "meta": { "filter": { "productsAvailed": [ "SELL" ], "status": [ "COMPLETED" ] }, "sortOrder": "desc", "startDate": "2024-06-01", "endDate": "2024-07-01", "limit": 100, "skip": 0, "totalCount": 2 }, "data": [ { "_id": "3d87c21b-4129-452e-ad05-86197f41413b", "createdAt": "2024-06-10T10:59:51.044Z", "status": "COMPLETED", "fiatCurrency": "GBP", "cryptoCurrency": "ETH", "isBuyOrSell": "SELL", "fiatAmount": 242.21, "amountPaid": 242.21, "paymentOptionId": "gbp_bank_transfer", "bankReference": "VD180620260000067", "network": "ethereum", "quoteId": "fb94dcdd-9bb9-451f-993e-092974a5a2b6", "addressAdditionalData": false, "appVersionName": "staging-api", "autoExpiresAt": "2024-06-10T11:59:51+00:00", "bankId": "66f4e082-2cd0-4023-82f1-8a138bc761a9", "completedAt": "2024-06-10T11:00:23.149Z", "conversionPrice": 0.000347289168633282, "conversionPriceData": { "_id": "f1a458d4-6448-4c5b-b20a-09ada884d454", "conversionPrice": 0.000347289168633282, "cost": { "ethPriceInLocalCurrency": 2895.01587807, "fiatLiquidityProviderFee": 0, "gasCostinLocalCurrency": 9.709260597657215, "gasCostinLocalCurrencyByCryptoPartner": 0, "gasCostinLocalCurrencyByFiatPartner": 0, "gasCurrency": "ETH", "gasCurrencyRateInUsd": 0.0002720133612963069, "gasInNativeToken": 0.0026410486108705286, "partnerFeeDecimal": 0.01, "partnerFeeInLocalCurrency": 2.554067561308319, "totalFeeAmount": 13.2, "totalFeeDecimal": 0.05168226635805324, "transakFeeAmount": 3, "transakMinimumFee": 3 }, "createdAt": "2024-06-10T11:00:07.286Z", "cryptoAmount": 0.0887, "cryptoCurrency": "ETH", "cryptoLiquidityProvider": "transak", "feeDecimal": 0.05168226635805324, "fees": [ { "id": "processing_fee", "ids": [ "processing_fee" ], "name": "Processing fee", "value": 7.65 }, { "id": "transak_fee", "ids": [ "transak_fee", "partner_fee" ], "name": "Transak fee", "value": 5.55 } ], "fiatAmount": 242.21, "fiatAmountInUsd": 326.09, "fiatCurrency": "GBP", "fiatFeeAmount": 13.2, "fiatLiquidityProvider": "coinbase", "id": "f1a458d4-6448-4c5b-b20a-09ada884d454", "internalFees": [ { "id": "processing_fee", "name": "Processing fee", "value": 7.65 }, { "id": "transak_fee", "name": "Transak fee", "value": 3 }, { "id": "partner_fee", "name": "Transak fee", "value": 2.55 } ], "isBuyOrSell": "SELL", "isExchangeInternalTransfer": false, "marketConversionPrice": 0.0003454212488349677, "network": "ethereum", "notes": [ "As per our estimate, ensure that you have at least 0.09134105 ETH to complete this transaction successfully!" ], "partnerApiKey": "d79671a4-b021-4a4f-a444-6862a680a94b", "paymentMethod": "gbp_bank_transfer", "slippage": 0.54, "sourceToken": "ETH", "sourceTokenAmount": 0.0887, "swaps": [ { "conversionPrice": 0.0002720133612963069, "destinationAmount": 324.4238796926999, "destinationCurrency": "USDT", "feeInSourceAmount": 0, "isFiatPartnerAccountWalletDeposit": false, "isFiatPartnerDirectCryptoDeposit": false, "isFiatliquidityProvider": true, "isNonCustodial": false, "liquidityProvider": "transak", "liquidityProviderData": false, "marketConversionPrice": 0.0002720133612963069, "networkFeeInSourceAmount": 0, "paymentMethod": "gbp_bank_transfer", "sourceAmount": 0.0887, "sourceCurrency": "ETH" }, { "conversionPrice": 0.78726250476, "destinationAmount": 255.40675613083187, "destinationCurrency": "GBP", "isCryptoliquidityProvider": true, "isFiatPartnerAccountWalletDeposit": false, "liquidityProvider": "coinbase", "liquidityProviderData": null, "marketConversionPrice": 0.78726250476, "networkFeeInDestinationAmount": 0.002641048610870528, "networkFeeInSourceAmount": 0.002641048610870528, "sourceAmount": 324.4238796926999, "sourceCurrency": "USDT" } ] }, "conversionPriceDataAtCreateOrder": { "_id": "4dbb1b6c-8096-471a-92d7-11d93a1b5705", "conversionPrice": 0.000347289168633282, "cost": { "ethPriceInLocalCurrency": 2895.01587807, "fiatLiquidityProviderFee": 0, "gasCostinLocalCurrency": 9.709260597657215, "gasCostinLocalCurrencyByCryptoPartner": 0, "gasCostinLocalCurrencyByFiatPartner": 0, "gasCurrency": "ETH", "gasCurrencyRateInUsd": 0.0002720133612963069, "gasInNativeToken": 0.0026410486108705286, "partnerFeeDecimal": 0.01, "partnerFeeInLocalCurrency": 2.554067561308319, "totalFeeAmount": 13.2, "totalFeeDecimal": 0.05168226635805324, "transakFeeAmount": 3, "transakMinimumFee": 3 }, "createdAt": "2024-06-10T10:59:51.014Z", "cryptoAmount": 0.0887, "cryptoCurrency": "ETH", "cryptoLiquidityProvider": "transak", "feeDecimal": 0.05168226635805324, "fees": [ { "id": "processing_fee", "ids": [ "processing_fee" ], "name": "Processing fee", "value": 7.65 }, { "id": "transak_fee", "ids": [ "transak_fee", "partner_fee" ], "name": "Transak fee", "value": 5.55 } ], "fiatAmount": 242.21, "fiatAmountInUsd": 326.09, "fiatCurrency": "GBP", "fiatFeeAmount": 13.2, "fiatLiquidityProvider": "coinbase", "id": "4dbb1b6c-8096-471a-92d7-11d93a1b5705", "internalFees": [ { "id": "processing_fee", "name": "Processing fee", "value": 7.65 }, { "id": "transak_fee", "name": "Transak fee", "value": 3 }, { "id": "partner_fee", "name": "Transak fee", "value": 2.55 } ], "isBuyOrSell": "SELL", "isExchangeInternalTransfer": false, "marketConversionPrice": 0.0003454212488349677, "network": "ethereum", "notes": [ "As per our estimate, ensure that you have at least 0.09134105 ETH to complete this transaction successfully!" ], "partnerApiKey": "d79671a4-b021-4a4f-a444-6862a680a94b", "paymentMethod": "gbp_bank_transfer", "slippage": 0.54, "sourceToken": "ETH", "sourceTokenAmount": 0.0887, "swaps": [ { "conversionPrice": 0.0002720133612963069, "destinationAmount": 324.4238796926999, "destinationCurrency": "USDT", "feeInSourceAmount": 0, "isFiatPartnerAccountWalletDeposit": false, "isFiatPartnerDirectCryptoDeposit": false, "isFiatliquidityProvider": true, "isNonCustodial": false, "liquidityProvider": "transak", "liquidityProviderData": false, "marketConversionPrice": 0.0002720133612963069, "networkFeeInSourceAmount": 0, "paymentMethod": "gbp_bank_transfer", "sourceAmount": 0.0887, "sourceCurrency": "ETH" }, { "conversionPrice": 0.78726250476, "destinationAmount": 255.40675613083187, "destinationCurrency": "GBP", "isCryptoliquidityProvider": true, "isFiatPartnerAccountWalletDeposit": false, "liquidityProvider": "coinbase", "liquidityProviderData": null, "marketConversionPrice": 0.78726250476, "networkFeeInDestinationAmount": 0.002641048610870528, "networkFeeInSourceAmount": 0.002641048610870528, "sourceAmount": 324.4238796926999, "sourceCurrency": "USDT" } ] }, "countryCode": "FR", "cryptoAmount": 0.0887, "cryptoPaymentData": { "paymentAddress": "0x343B...841C0d58A3" }, "dispute": false, "fiatAmountInUsd": 326.09, "fiatAmountPaid": 242.21, "id": "3d87c21b-4129-452e-ad05-86197f41413b", "ipAddress": "35.177.....9", "isPaymentProcessing": false, "liquidityProviderData": "Modulr", "orderProcessingType": "NORMAL", "partnerApiKey": "d79671a4-b021-4a4f-a444-6862a680a94b", "partnerFeeDecimal": 0.01, "partnerFeeInUsd": "3.26", "paymentMarkedAt": "2024-06-10T10:59:59.508Z", "paymentOptions": [], "paymentProcessingAt": "2024-06-10T11:00:07.038Z", "paymentTnxId": "c60e0ec0-73db-4719-afb8-e87dd8232fe5", "paymentdateTime": "2024-06-10T10:59:59.508Z", "payoutFiatData": { "payoutCurrency": "GBP", "payoutDetails": { "_id": "66f4e082-2cd0-4023-82f1-8a138bc761a9", "accountNumber": "11114444", "createdAt": "2024-06-06T10:02:57.289Z", "detailsType": "accountNumber", "disabled": false, "firstName": "ABC", "isDefault": true, "isDeleted": false, "isVerified": false, "lastName": "ABC", "originalVerificationData": {}, "sortCode": "000000", "userId": "6ca25212-79b8-4221-93a3-883114826338", "valid": true }, "payoutMethod": "6282032cf8fe2226684ce35e", "payoutType": "Bank" }, "payoutFiatTransactionId": "P2100G3SDE", "payoutFiatTransationCreatedAt": "2024-06-10T11:00:07.703Z", "redirectURL": "https://transak-redirect.vercel.app/redirect", "referenceCode": 544053, "slackThreadId": "1718017191.791849", "stateCode": "ABC", "statusHistories": [ { "createdAt": "2024-06-10T10:59:51.855Z", "isEmailSentToUser": true, "message": "*📦 New sell order by ABC ABC* \n*Order Id:* 3d87c21b-4129-452e-ad05-86197f41413b\n*Email:* abc@xyz.com\n*Crypto Amount:* 0.0887 ETH\n*Fiat Amount:* 242.21 GBP\n*Payment Method:* gbp_bank_transfer\n*Wallet Address:* 0x343B...41C0d58A3 \n*Partner name:* Transak", "partnerEventId": "ORDER_CREATED", "status": "AWAITING_PAYMENT_FROM_USER" }, { "createdAt": "2024-06-10T10:59:59.901Z", "isEmailSentToUser": false, "message": "*💸 Payment reconciled successfully. Received 0.0887 ETH", "partnerEventId": "ORDER_PROCESSING", "status": "PENDING_DELIVERY_FROM_TRANSAK" }, { "createdAt": "2024-06-10T11:00:23.646Z", "isEmailSentToUser": true, "message": "242.21 GBP sent successfully to ABC ABC in their bank account number 11114444. Transaction id: T2100AUF9M. As received from Modulr", "partnerEventId": "ORDER_COMPLETED", "status": "COMPLETED" } ], "totalFeeInFiat": 13.2, "totalfeeDecimal": 0.05168226635805324, "updatedAt": "2024-06-10T11:00:07.321Z", "userId": "6ca25212-79b8-4221-93a3-883114826338", "userKycType": "SIMPLE", "userPayoutFiatTransactionId": "T2100AUF9M", "webhookResponses": [] }, { "_id": "e090f778-1ffe-49cb-8cb7-dae5465392fe", "createdAt": "2024-06-10T10:16:58.123Z", "status": "COMPLETED", "fiatCurrency": "GBP", "cryptoCurrency": "ETH", "isBuyOrSell": "SELL", "fiatAmount": 4.92, "amountPaid": 4.92, "paymentOptionId": "gbp_bank_transfer", "bankReference": "VD180620260000068", "network": "ethereum", "quoteId": "bec6a3fd-ec14-40f2-8892-88070139add4", "addressAdditionalData": false, "appVersionName": "staging-api", "autoExpiresAt": "2024-06-10T11:16:58+00:00", "bankId": "66f4e082-2cd0-4023-82f1-8a138bc761a9", "completedAt": "2024-06-10T10:59:31.581Z", "conversionPrice": 0.0003473061735788233, "conversionPriceData": { "_id": "ed4debeb-73fd-4d23-ae3e-4fdd57504380", "conversionPrice": 0.0003473061735788233, "cost": { "ethPriceInLocalCurrency": 2894.87413113, "fiatLiquidityProviderFee": 0, "gasCostinLocalCurrency": 9.70878520890726, "gasCostinLocalCurrencyByCryptoPartner": 0, "gasCostinLocalCurrencyByFiatPartner": 0, "gasCurrency": "ETH", "gasCurrencyRateInUsd": 0.00027202668037681134, "gasInNativeToken": 0.0026410486108705286, "partnerFeeDecimal": 0.01, "partnerFeeInLocalCurrency": 0.1151721536873912, "totalFeeAmount": 10.77, "totalFeeDecimal": 0.9351218723609817, "transakFeeAmount": 3, "transakMinimumFee": 3 }, "createdAt": "2024-06-10T10:59:15.260Z", "cryptoAmount": 0.004, "cryptoCurrency": "ETH", "cryptoLiquidityProvider": "transak", "feeDecimal": 0.9351218723609817, "fees": [ { "id": "processing_fee", "ids": [ "processing_fee" ], "name": "Processing fee", "value": 7.65 }, { "id": "transak_fee", "ids": [ "transak_fee", "partner_fee" ], "name": "Transak fee", "value": 3.12 } ], "fiatAmount": 0.75, "fiatAmountInUsd": 14.7, "fiatCurrency": "GBP", "fiatFeeAmount": 10.77, "fiatLiquidityProvider": "coinbase", "id": "ed4debeb-73fd-4d23-ae3e-4fdd57504380", "internalFees": [ { "id": "processing_fee", "name": "Processing fee", "value": 7.65 }, { "id": "transak_fee", "name": "Transak fee", "value": 3 }, { "id": "partner_fee", "name": "Transak fee", "value": 0.12 } ], "isBuyOrSell": "SELL", "isExchangeInternalTransfer": false, "marketConversionPrice": 0.00034543816231818504, "network": "ethereum", "notes": [ "As per our estimate, ensure that you have at least 0.00664105 ETH to complete this transaction successfully!" ], "partnerApiKey": "d79671a4-b021-4a4f-a444-6862a680a94b", "paymentMethod": "gbp_bank_transfer", "slippage": 0.54, "sourceToken": "ETH", "sourceTokenAmount": 0.004, "swaps": [ { "conversionPrice": 0.00027202668037681134, "destinationAmount": 14.629447356, "destinationCurrency": "USDT", "feeInSourceAmount": 0, "isFiatPartnerAccountWalletDeposit": false, "isFiatPartnerDirectCryptoDeposit": false, "isFiatliquidityProvider": true, "isNonCustodial": false, "liquidityProvider": "transak", "liquidityProviderData": false, "marketConversionPrice": 0.00027202668037681134, "networkFeeInSourceAmount": 0, "paymentMethod": "gbp_bank_transfer", "sourceAmount": 0.004, "sourceCurrency": "ETH" }, { "conversionPrice": 0.78726250476, "destinationAmount": 11.51721536873912, "destinationCurrency": "GBP", "isCryptoliquidityProvider": true, "isFiatPartnerAccountWalletDeposit": false, "liquidityProvider": "coinbase", "liquidityProviderData": null, "marketConversionPrice": 0.78726250476, "networkFeeInDestinationAmount": 0.0026410486108705286, "networkFeeInSourceAmount": 0.0026410486108705286, "sourceAmount": 14.629447356, "sourceCurrency": "USDT" } ] }, "conversionPriceDataAtCreateOrder": { "_id": "e2d857f3-2fcc-4f10-8442-d101a7083349", "conversionPrice": 0.0003473338957216262, "cost": { "ethPriceInLocalCurrency": 2894.67203418, "fiatLiquidityProviderFee": 0, "gasCostinLocalCurrency": 4.412860136915196, "gasCostinLocalCurrencyByCryptoPartner": 0, "gasCostinLocalCurrencyByFiatPartner": 0, "gasCurrency": "ETH", "gasCurrencyRateInUsd": 0.00027210440101658204, "gasInNativeToken": 0.0012007586643252616, "partnerFeeDecimal": 0.01, "partnerFeeInLocalCurrency": 0.11516296132542836, "totalFeeAmount": 6.6, "totalFeeDecimal": 0.5731009279406831, "transakFeeAmount": 3, "transakMinimumFee": 3 }, "createdAt": "2024-06-10T10:16:58.066Z", "cryptoAmount": 0.004, "cryptoCurrency": "ETH", "cryptoLiquidityProvider": "transak", "feeDecimal": 0.5731009279406831, "fees": [ { "id": "processing_fee", "ids": [ "processing_fee" ], "name": "Processing fee", "value": 3.48 }, { "id": "transak_fee", "ids": [ "transak_fee", "partner_fee" ], "name": "Transak fee", "value": 3.12 } ], "fiatAmount": 4.92, "fiatAmountInUsd": 14.7, "fiatCurrency": "GBP", "fiatFeeAmount": 6.6, "fiatLiquidityProvider": "coinbase", "id": "e2d857f3-2fcc-4f10-8442-d101a7083349", "internalFees": [ { "id": "processing_fee", "name": "Processing fee", "value": 3.48 }, { "id": "transak_fee", "name": "Transak fee", "value": 3 }, { "id": "partner_fee", "name": "Transak fee", "value": 0.12 } ], "isBuyOrSell": "SELL", "isExchangeInternalTransfer": false, "marketConversionPrice": 0.0003454622797305184, "network": "ethereum", "notes": [ "As per our estimate, ensure that you have at least 0.00520076 ETH to complete this transaction successfully!" ], "partnerApiKey": "d79671a4-b021-4a4f-a444-6862a680a94b", "paymentMethod": "gbp_bank_transfer", "slippage": 0.54, "sourceToken": "ETH", "sourceTokenAmount": 0.004, "swaps": [ { "conversionPrice": 0.00027210440101658204, "destinationAmount": 14.625268776, "destinationCurrency": "USDT", "feeInSourceAmount": 0, "isFiatPartnerAccountWalletDeposit": false, "isFiatPartnerDirectCryptoDeposit": false, "isFiatliquidityProvider": true, "isNonCustodial": false, "liquidityProvider": "transak", "liquidityProviderData": false, "marketConversionPrice": 0.00027210440101658204, "networkFeeInSourceAmount": 0, "paymentMethod": "gbp_bank_transfer", "sourceAmount": 0.004, "sourceCurrency": "ETH" }, { "conversionPrice": 0.7874245806300001, "destinationAmount": 11.516296132542836, "destinationCurrency": "GBP", "isCryptoliquidityProvider": true, "isFiatPartnerAccountWalletDeposit": false, "liquidityProvider": "coinbase", "liquidityProviderData": null, "marketConversionPrice": 0.7874245806300001, "networkFeeInDestinationAmount": 0.0012007586643252616, "networkFeeInSourceAmount": 0.0012007586643252616, "sourceAmount": 14.625268776, "sourceCurrency": "USDT" } ] }, "countryCode": "FR", "cryptoAmount": 0.004, "cryptoPaymentData": { "paymentAddress": "0x65C21438...58a46553" }, "dispute": false, "fiatAmountInUsd": 14.7, "fiatAmountPaid": 0.75, "id": "e090f778-1ffe-49cb-8cb7-dae5465392fe", "ipAddress": "35.177....9", "isPaymentProcessing": false, "liquidityProviderData": "Modulr", "orderProcessingType": "NORMAL", "partnerApiKey": "d79671a4-b021-4a4f-a444-6862a680a94b", "partnerFeeDecimal": 0.01, "partnerFeeInUsd": "0.15", "paymentMarkedAt": "2024-06-10T10:59:12.495Z", "paymentOptions": [], "paymentProcessingAt": "2024-06-10T10:59:14.949Z", "paymentTnxId": "216ca815-7405-41bb-aeef-ffbefb8e2f75", "paymentdateTime": "2024-06-10T10:59:12.495Z", "payoutFiatData": { "payoutCurrency": "GBP", "payoutDetails": { "_id": "66f4e082-2cd0-4023-82f1-8a138bc761a9", "accountNumber": "11114444", "createdAt": "2024-06-06T10:02:57.289Z", "detailsType": "accountNumber", "disabled": false, "firstName": "ABC", "isDefault": true, "isDeleted": false, "isVerified": false, "lastName": "ABC", "originalVerificationData": {}, "sortCode": "000000", "userId": "6ca25212-79b8-4221-93a3-883114826338", "valid": true }, "payoutMethod": "6282032cf8fe2226684ce35e", "payoutType": "Bank" }, "payoutFiatTransactionId": "P2100G3SCX", "payoutFiatTransationCreatedAt": "2024-06-10T10:59:15.787Z", "referenceCode": 544053, "slackThreadId": "1718014618.999679", "stateCode": "ABC", "statusHistories": [ { "createdAt": "2024-06-10T10:16:59.068Z", "isEmailSentToUser": true, "message": "*📦 New sell order by ABC ABC* \n*Order Id:* e090f778-1ffe-49cb-8cb7-dae5465392fe\n*Email:* abc@xyz.com\n*Crypto Amount:* 0.004 ETH\n*Fiat Amount:* 4.92 GBP\n*Payment Method:* gbp_bank_transfer\n*Wallet Address:* 0x65C2...58a46553 \n*Partner name:* Transak", "partnerEventId": "ORDER_CREATED", "status": "AWAITING_PAYMENT_FROM_USER" }, { "createdAt": "2024-06-10T10:59:12.776Z", "isEmailSentToUser": false, "message": "*💸 Payment reconciled successfully. Received 0.004 ETH", "partnerEventId": "ORDER_PROCESSING", "status": "PENDING_DELIVERY_FROM_TRANSAK" }, { "createdAt": "2024-06-10T10:59:32.101Z", "isEmailSentToUser": true, "message": "0.75 GBP sent successfully to ABC ABC in their bank account number 11114444. Transaction id: T2100AUF96. As received from Modulr", "partnerEventId": "ORDER_COMPLETED", "status": "COMPLETED" } ], "totalFeeInFiat": 6.6, "totalfeeDecimal": 0.5731009279406831, "updatedAt": "2024-06-10T10:59:15.288Z", "userId": "6ca25212-79b8-4221-93a3-883114826338", "userKycType": "SIMPLE", "userPayoutFiatTransactionId": "T2100AUF96", "webhookResponses": [] } ] } ``` **SDK Code** ```python Sell Order import requests url = "https://api-stg.transak.com/partners/api/v2/orders" headers = { "access-token": "", "x-api-key": "" } response = requests.get(url, headers=headers) print(response.json()) ``` ```javascript Sell Order const url = 'https://api-stg.transak.com/partners/api/v2/orders'; const options = {method: 'GET', headers: {'access-token': '', 'x-api-key': ''}}; try { const response = await fetch(url, options); const data = await response.json(); console.log(data); } catch (error) { console.error(error); } ``` ```go Sell Order package main import ( "fmt" "net/http" "io" ) func main() { url := "https://api-stg.transak.com/partners/api/v2/orders" req, _ := http.NewRequest("GET", url, nil) req.Header.Add("access-token", "") req.Header.Add("x-api-key", "") res, _ := http.DefaultClient.Do(req) defer res.Body.Close() body, _ := io.ReadAll(res.Body) fmt.Println(res) fmt.Println(string(body)) } ``` ```ruby Sell Order require 'uri' require 'net/http' url = URI("https://api-stg.transak.com/partners/api/v2/orders") http = Net::HTTP.new(url.host, url.port) http.use_ssl = true request = Net::HTTP::Get.new(url) request["access-token"] = '' request["x-api-key"] = '' response = http.request(request) puts response.read_body ``` ```java Sell Order import com.mashape.unirest.http.HttpResponse; import com.mashape.unirest.http.Unirest; HttpResponse response = Unirest.get("https://api-stg.transak.com/partners/api/v2/orders") .header("access-token", "") .header("x-api-key", "") .asString(); ``` ```php Sell Order request('GET', 'https://api-stg.transak.com/partners/api/v2/orders', [ 'headers' => [ 'access-token' => '', 'x-api-key' => '', ], ]); echo $response->getBody(); ``` ```csharp Sell Order using RestSharp; var client = new RestClient("https://api-stg.transak.com/partners/api/v2/orders"); var request = new RestRequest(Method.GET); request.AddHeader("access-token", ""); request.AddHeader("x-api-key", ""); IRestResponse response = client.Execute(request); ``` ```swift Sell Order import Foundation let headers = [ "access-token": "", "x-api-key": "" ] let request = NSMutableURLRequest(url: NSURL(string: "https://api-stg.transak.com/partners/api/v2/orders")! as URL, cachePolicy: .useProtocolCachePolicy, timeoutInterval: 10.0) request.httpMethod = "GET" request.allHTTPHeaderFields = headers let session = URLSession.shared let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in if (error != nil) { print(error as Any) } else { let httpResponse = response as? HTTPURLResponse print(httpResponse) } }) dataTask.resume() ```